#ifndef SHADERS_INCLUDED
#define SHADERS_INCLUDED

#include <GLES2/gl2.h>

// Reflective bubble shader
extern GLint prog_bubble;
extern GLint uloc_bubbleViewMat;
extern GLint uloc_bubbleNormMat;
extern GLint uloc_bubbleProjMat;
extern GLint uloc_bubbleTexUnit;
extern GLint aloc_bubbleVertex;
extern GLint aloc_bubbleNormal;

// Wireframe/point mesh shader
extern GLint prog_mesh;
extern GLint uloc_meshViewMat;
extern GLint uloc_meshProjMat;
extern GLint aloc_meshVertex;

// Env cube shader
extern GLint prog_cube;
extern GLint uloc_cubeProjMat;
extern GLint uloc_cubeTexUnit;
extern GLint aloc_cubeVertex;

// Crosshair shader
extern GLint prog_mouse;
extern GLint uloc_mouseWindow;
extern GLint uloc_mouseCenter;
extern GLint aloc_mouseVertex;

// Function to load all the shaders
extern int  LoadShaders(void);
extern void FreeShaders(void);

#endif // SHADERS_INCLUDED
